Can't start iTunes 8, please help!

Discussion in 'Mac Apps and Mac App Store' started by Pathfinder55, Sep 9, 2008.

  1. Pathfinder55 macrumors 6502

    Joined:
    Aug 18, 2007
    #1
    I have installed iTunes 8. When I go to start it an error says.

    "Quicktime version 7.5 is installed, iTunes requires QuickTime version 7.5.5 or later. Please reinstall iTunes"

    I have reinstalled iTunes twice, I have restarted my computer twice just like is says. Then I reinstalled the newest QuickTime twice restarting my computer both times. I am getting really frustrated, anyone want to help me? No idea what to do.
     
  2. Pathfinder55 thread starter macrumors 6502

    Joined:
    Aug 18, 2007
    #2
    Also, I launched QuickTime and it even says I have 7.5.5
     
  3. Pathfinder55 thread starter macrumors 6502

    Joined:
    Aug 18, 2007
  4. bollweevil macrumors 6502

    Joined:
    Feb 1, 2008
    #4
    I'm having the same exact problem. Please help us!
     
  5. bollweevil macrumors 6502

    Joined:
    Feb 1, 2008
    #5
    Yipee, I just fixed mine. Here is what I did:

    I opened Windows Update and forcibly searched for available updates. It found seven "essential" updates, I installed them. Then iTunes started working.

    Let me know if it works for you, good luck.
     
  6. Pathfinder55 thread starter macrumors 6502

    Joined:
    Aug 18, 2007
    #6
    Ugh. I didn't work. I installed all the updates I had.
     
  7. jtporter macrumors newbie

    Joined:
    Oct 1, 2008
    #7
    QuickTime 7.5.5 error message

    I am having the same problem. I have downloaded all Windows Vista updates.
     

Share This Page